List reporting groups
Retrieve a paginated list of report groups belonging to the specified organization. Supports filtering and sorting on report group properties. Filters are provided as a JSON string following the AST structure of FilterNode. Results are returned in pages with pagination metadata.
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "<string>",
"name": "<string>",
"organization_id": "<string>",
"product_config_id": "<string>",
"fishing_pattern": "<string>",
"fishing_pattern_field": "full_name",
"patch_policy_target_id": "<string>",
"policy_reporting_group": "<string>",
"overridden_agent_settings": {
"remote_support": "<string>",
"collect_device_location": true,
"auto_update_agents": true,
"collect_event_logs": true,
"event_log_ids": "<string>",
"event_logs_recurrence": 123,
"collect_disks": true,
"collect_services": true,
"collect_pnp_events": true,
"collect_public_ip": true,
"fra_system_actions_role": "<string>",
"unified_reporting": "<string>",
"unified_operations": "<string>",
"uninstall_protection": "off",
"web_apps": true
},
"effective_agent_settings": {
"remote_support": "<string>",
"collect_device_location": true,
"auto_update_agents": true,
"collect_event_logs": true,
"event_log_ids": "<string>",
"event_logs_recurrence": 123,
"collect_disks": true,
"collect_services": true,
"collect_pnp_events": true,
"collect_public_ip": true,
"fra_system_actions_role": "<string>",
"unified_reporting": "<string>",
"uninstall_protection": "off",
"resources_report_recurrence": 123,
"profile_storage_report_recurrence": 123,
"sync_broker_recurrence": 123,
"detect_new_citrix_subscriptions": true,
"proxy_type": "<string>",
"can_enable_flexx_agent_per_group": true,
"web_apps": true,
"fra_simplified_security": "<string>"
},
"execute_flexx_analyzer_agent": true,
"can_manage_agent_versions": true,
"flexx_agent_portal_download": true,
"intermediate_device_1_id": "<string>",
"intermediate_device_2_id": "<string>",
"intermediate_device_3_id": "<string>"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the organization
24^[0-9a-f]{24}$Query Parameters
Page number (default: 1)
Sorting field with optional order suffix (:asc or :desc). Valid sorting fields: name, organization_id, product_config_id, fishing_pattern, fishing_pattern_field, patch_policy_target_id, policy_reporting_group, overridden_agent_settings., effective_agent_settings., execute_flexx_analyzer_agent, can_manage_agent_versions, intermediate_device_1_id, intermediate_device_2_id, intermediate_device_3_id. It defaults to ascending order if suffix is not provided.
Comma-separated list of fields to include in each report group element. Selectable fields: id, name, organization_id, product_config_id, fishing_pattern, fishing_pattern_field, patch_policy_target_id, policy_reporting_group, overridden_agent_settings, effective_agent_settings, execute_flexx_analyzer_agent, can_manage_agent_versions, flexx_agent_portal_download, intermediate_device_1_id, intermediate_device_2_id, intermediate_device_3_id. The id field is always included.
2048Filter report groups by one or more criteria. Provide a JSON string with AST of filters. Filter by any field returned in the response. Use dot notation for nested fields: overridden_agent_settings.remote_support, effective_agent_settings.remote_support, effective_agent_settings.uninstall_protection, etc. Operators: eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between. Combine with and/or. Maximum length: 5120 characters. Filter report groups using a JSON object. Specify the field to filter, comparison operator, and value. Example: {"field": "name", "op": "eq", "value": "Report Group 1"}
5120"{\"field\": \"name\", \"op\": \"eq\", \"value\": \"Grupo de reporte 1\"}"
Number of items per page
1 <= x <= 100curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "<string>",
"name": "<string>",
"organization_id": "<string>",
"product_config_id": "<string>",
"fishing_pattern": "<string>",
"fishing_pattern_field": "full_name",
"patch_policy_target_id": "<string>",
"policy_reporting_group": "<string>",
"overridden_agent_settings": {
"remote_support": "<string>",
"collect_device_location": true,
"auto_update_agents": true,
"collect_event_logs": true,
"event_log_ids": "<string>",
"event_logs_recurrence": 123,
"collect_disks": true,
"collect_services": true,
"collect_pnp_events": true,
"collect_public_ip": true,
"fra_system_actions_role": "<string>",
"unified_reporting": "<string>",
"unified_operations": "<string>",
"uninstall_protection": "off",
"web_apps": true
},
"effective_agent_settings": {
"remote_support": "<string>",
"collect_device_location": true,
"auto_update_agents": true,
"collect_event_logs": true,
"event_log_ids": "<string>",
"event_logs_recurrence": 123,
"collect_disks": true,
"collect_services": true,
"collect_pnp_events": true,
"collect_public_ip": true,
"fra_system_actions_role": "<string>",
"unified_reporting": "<string>",
"uninstall_protection": "off",
"resources_report_recurrence": 123,
"profile_storage_report_recurrence": 123,
"sync_broker_recurrence": 123,
"detect_new_citrix_subscriptions": true,
"proxy_type": "<string>",
"can_enable_flexx_agent_per_group": true,
"web_apps": true,
"fra_simplified_security": "<string>"
},
"execute_flexx_analyzer_agent": true,
"can_manage_agent_versions": true,
"flexx_agent_portal_download": true,
"intermediate_device_1_id": "<string>",
"intermediate_device_2_id": "<string>",
"intermediate_device_3_id": "<string>"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}